### Method

# Ggit Repository get_submodule_status

#### Declaration [src]

    GgitSubmoduleStatus
    ggit_repository_get_submodule_status (
      GgitRepository* repository,
      const gchar* name,
      GgitSubmoduleIgnore ignore,
      GError** error
    )

#### Description [src]

Gets the status for a submodule. This looks at a submodule and tries to determine the status. It will return a combination of the `GGIT_SUBMODULE_STATUS` values. How deeply it examines the working directory to do this will depend on `ignore`.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the submodule.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`ignore`

  Type: `GgitSubmoduleIgnore`

  The ignore rules to follow.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitSubmoduleStatus`

The `GgitSubmoduleStatus` for `submodule`.